% Runs some tests for rank-1 Chebyshev lattices analogously to the ones
% from Example 3.1 and Example 3.2 from
% Potts, D., Volkmer, T.
% Sparse high-dimensional FFT based on rank-1 lattice sampling.
% Submitted, 2015.

nruns = 5; % number of repetitions

test1_sfft_cl_algorithm_multipletests( 3, 32, 100, 'a1clr1l', intmax, 1e-12, 1, nruns, 'test1_a1clr1l_results.mat' );


test1_sfft_cl_algorithm_multipletests( 3:5, 32, 100, 'a1cl', intmax, 1e-12, 1, nruns, 'test1_a1cl_results.mat' );

print_cl_test1( 'test1_a1clr1l_results.mat' );
fprintf('\n');
print_cl_test1( 'test1_a1cl_results.mat' );
