% Runs some tests for rank-1 Chebyshev lattices analogously to the ones
% from Example 3.13 from
% Potts, D., Volkmer, T.
% Sparse high-dimensional FFT based on rank-1 lattice sampling.
% Submitted, 2015.

niter_r = 10;
nruns = 3; % number of repetitions

test3_f9_sfft_cl_algorithm_multipletests( [8], [1e-4], 'a1cl', niter_r, nruns, 'test3_f9_a1cl_results.mat' );
% test3_2_sfft_cl_algorithm_multipletests( [8 8 16 16 32], [1e-3 1e-4 1e-4 1e-5 1e-5], 'a1cl', niter_r, nruns, 'test3_f9_a1cl_results.mat' );

print_cl_test3_f9( 'test3_f9_a1cl_results.mat' );
